Bug 11921 - Installer crashes - lost interrupt
Installer crashes - lost interrupt
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2000-06-06 03:15 EDT by Murray Spokes
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-07-13 15:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Murray Spokes 2000-06-06 03:15:11 EDT

Installing a new system installer screen appears to hang, virtual console 
4 reports <4>hda: lost interrupt

This appears to happen whenever the IDE channel is worked hard - install 
(text) got to loading the Juliet file system.  I have been able to 
reproduce at will on various hardware platforms regardless of whether the 
system is using a SCSI or IDE drive.

I downloaded the boot-20000407.img and built a new boot diskette.  Some 
improvment - install (text) now gets to checking the RPM pacakages after 
selecting a server install.  

The anaconda update makes the symptons worse!  On load of the update 
system reports a change of media on fd0 and then looses the interrupt.

Other Symptons:

Light on CDROM drive on permanently


Intel pentium 120
Adaptec 2940 controller v1.12 bios
2GB Seagate disk
16x IDE CDROM installed on primary IDE as master
2 x TE2000 16 bit ethernet cards
1 x 16 bit vanilla video card
No Mouse
Standard 101 keyboard
Comment 1 Michael Fulbright 2000-06-09 16:10:55 EDT
This sounds like a hardware issue - this particular failure mode has not
been observed in our testing. 

What are the specifics of the systems you have seen this error occur on?
Comment 2 Michael Fulbright 2000-07-13 15:08:27 EDT
Closing due to lack of activity - please reopen if this continues to be a
Comment 3 Murray Spokes 2000-07-13 17:38:54 EDT
I have resolved the problem - it was the IDE CRROM drive itself - although I 
tested the issue on various hardware they all had the same CDROM drive - 
supposed to be a ATAPI compatible device however Linux just did not like it.  

In the end I swapped the CDROM with a SCO system.  The SCO liked the CDROM and 
Linux liked the new CDROM from the SCO box. I have put it down to a hardware 
compatiblity issue.  By the way the original CDROM drive I used was quite happy 
in a NT 4.0 or Win95/98 environment.

Thanks for your interest.

Note You need to log in before you can comment on or make changes to this bug.